/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.util.Objects;

/**
 * Model126
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model126 {
  @SerializedName("label")
  private String label = null;

  @SerializedName("manufacturer")
  private String manufacturer = null;

  @SerializedName("model_number")
  private String modelNumber = null;

  @SerializedName("price")
  private Model91 price = null;

  @SerializedName("purchase_date")
  private LocalDate purchaseDate = null;

  @SerializedName("status")
  private String status = null;

  @SerializedName("is_the_damage_visible")
  private Boolean isTheDamageVisible = null;

  @SerializedName("is_repairable")
  private Boolean isRepairable = null;

  @SerializedName("other_insurance_covering")
  private Model123 otherInsuranceCovering = null;

  @SerializedName("amount_claimed")
  private Model124 amountClaimed = null;

  @SerializedName("amount_estimation_damage")
  private Model125 amountEstimationDamage = null;

  public Model126 label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Label of the item implied into the claim.
   * @return label
  **/
  @ApiModelProperty(value = "Label of the item implied into the claim.")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public Model126 manufacturer(String manufacturer) {
    this.manufacturer = manufacturer;
    return this;
  }

   /**
   * Name of the manufacturer.
   * @return manufacturer
  **/
  @ApiModelProperty(value = "Name of the manufacturer.")
  public String getManufacturer() {
    return manufacturer;
  }

  public void setManufacturer(String manufacturer) {
    this.manufacturer = manufacturer;
  }

  public Model126 modelNumber(String modelNumber) {
    this.modelNumber = modelNumber;
    return this;
  }

   /**
   * Model number of the item.
   * @return modelNumber
  **/
  @ApiModelProperty(value = "Model number of the item.")
  public String getModelNumber() {
    return modelNumber;
  }

  public void setModelNumber(String modelNumber) {
    this.modelNumber = modelNumber;
  }

  public Model126 price(Model91 price) {
    this.price = price;
    return this;
  }

   /**
   * Get price
   * @return price
  **/
  @ApiModelProperty(value = "")
  public Model91 getPrice() {
    return price;
  }

  public void setPrice(Model91 price) {
    this.price = price;
  }

  public Model126 purchaseDate(LocalDate purchaseDate) {
    this.purchaseDate = purchaseDate;
    return this;
  }

   /**
   * Date of purchase of items. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).
   * @return purchaseDate
  **/
  @ApiModelProperty(value = "Date of purchase of items. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).")
  public LocalDate getPurchaseDate() {
    return purchaseDate;
  }

  public void setPurchaseDate(LocalDate purchaseDate) {
    this.purchaseDate = purchaseDate;
  }

  public Model126 status(String status) {
    this.status = status;
    return this;
  }

   /**
   * Status of the item, it can be: - Stolen - Lost - Damaged - ...
   * @return status
  **/
  @ApiModelProperty(value = "Status of the item, it can be: - Stolen - Lost - Damaged - ...")
  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public Model126 isTheDamageVisible(Boolean isTheDamageVisible) {
    this.isTheDamageVisible = isTheDamageVisible;
    return this;
  }

   /**
   * Is the damage to the item visible?
   * @return isTheDamageVisible
  **/
  @ApiModelProperty(value = "Is the damage to the item visible?")
  public Boolean isIsTheDamageVisible() {
    return isTheDamageVisible;
  }

  public void setIsTheDamageVisible(Boolean isTheDamageVisible) {
    this.isTheDamageVisible = isTheDamageVisible;
  }

  public Model126 isRepairable(Boolean isRepairable) {
    this.isRepairable = isRepairable;
    return this;
  }

   /**
   * Is the item damage can be repaired?
   * @return isRepairable
  **/
  @ApiModelProperty(value = "Is the item damage can be repaired?")
  public Boolean isIsRepairable() {
    return isRepairable;
  }

  public void setIsRepairable(Boolean isRepairable) {
    this.isRepairable = isRepairable;
  }

  public Model126 otherInsuranceCovering(Model123 otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
    return this;
  }

   /**
   * Get otherInsuranceCovering
   * @return otherInsuranceCovering
  **/
  @ApiModelProperty(value = "")
  public Model123 getOtherInsuranceCovering() {
    return otherInsuranceCovering;
  }

  public void setOtherInsuranceCovering(Model123 otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
  }

  public Model126 amountClaimed(Model124 amountClaimed) {
    this.amountClaimed = amountClaimed;
    return this;
  }

   /**
   * Get amountClaimed
   * @return amountClaimed
  **/
  @ApiModelProperty(value = "")
  public Model124 getAmountClaimed() {
    return amountClaimed;
  }

  public void setAmountClaimed(Model124 amountClaimed) {
    this.amountClaimed = amountClaimed;
  }

  public Model126 amountEstimationDamage(Model125 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
    return this;
  }

   /**
   * Get amountEstimationDamage
   * @return amountEstimationDamage
  **/
  @ApiModelProperty(value = "")
  public Model125 getAmountEstimationDamage() {
    return amountEstimationDamage;
  }

  public void setAmountEstimationDamage(Model125 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model126 model126 = (Model126) o;
    return Objects.equals(this.label, model126.label) &&
        Objects.equals(this.manufacturer, model126.manufacturer) &&
        Objects.equals(this.modelNumber, model126.modelNumber) &&
        Objects.equals(this.price, model126.price) &&
        Objects.equals(this.purchaseDate, model126.purchaseDate) &&
        Objects.equals(this.status, model126.status) &&
        Objects.equals(this.isTheDamageVisible, model126.isTheDamageVisible) &&
        Objects.equals(this.isRepairable, model126.isRepairable) &&
        Objects.equals(this.otherInsuranceCovering, model126.otherInsuranceCovering) &&
        Objects.equals(this.amountClaimed, model126.amountClaimed) &&
        Objects.equals(this.amountEstimationDamage, model126.amountEstimationDamage);
  }

  @Override
  public int hashCode() {
    return Objects.hash(label, manufacturer, modelNumber, price, purchaseDate, status, isTheDamageVisible, isRepairable, otherInsuranceCovering, amountClaimed, amountEstimationDamage);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model126 {\n");
    
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    manufacturer: ").append(toIndentedString(manufacturer)).append("\n");
    sb.append("    modelNumber: ").append(toIndentedString(modelNumber)).append("\n");
    sb.append("    price: ").append(toIndentedString(price)).append("\n");
    sb.append("    purchaseDate: ").append(toIndentedString(purchaseDate)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    isTheDamageVisible: ").append(toIndentedString(isTheDamageVisible)).append("\n");
    sb.append("    isRepairable: ").append(toIndentedString(isRepairable)).append("\n");
    sb.append("    otherInsuranceCovering: ").append(toIndentedString(otherInsuranceCovering)).append("\n");
    sb.append("    amountClaimed: ").append(toIndentedString(amountClaimed)).append("\n");
    sb.append("    amountEstimationDamage: ").append(toIndentedString(amountEstimationDamage)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

